Zilfu
API ReferenceBio Blocks

Reorder the bio page's content blocks

Writes each block's sort_order to match its position in the given id list. Ids that do not belong to the space's bio page are ignored.

POST
/spaces/{space}/bio/blocks/reorder
AuthorizationBearer <token>

In: header

Path Parameters

space*integer

The space ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

blocks*array<integer>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://zilfu.app/api/spaces/0/bio/blocks/reorder" \  -H "Content-Type: application/json" \  -d '{    "blocks": [      0    ]  }'
{}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}